package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.FlowRelationMapper;
import com.lz.modules.flow.entity.FlowRelation;
import com.lz.modules.flow.service.FlowRelationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 流转关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/

@Service
public class FlowRelationServiceImpl extends ServiceImpl<FlowRelationMapper, FlowRelation> implements FlowRelationService {


    @Autowired
	private FlowRelationMapper flowRelationMapper;



	@Override
	public FlowRelation selectFlowRelationById(Long id){
		return flowRelationMapper.selectFlowRelationById(id);
	}



	@Override
	public Long insertFlowRelation(FlowRelation flowRelation){
		return flowRelationMapper.insertFlowRelation(flowRelation);
	}



	@Override
	public int updateFlowRelationById(FlowRelation flowRelation){
		return flowRelationMapper.updateFlowRelationById(flowRelation);
	}



	@Override
	public int updateCoverFlowRelationById(FlowRelation flowRelation){
		return flowRelationMapper.updateCoverFlowRelationById(flowRelation);
	}



	@Override
	public int deleteFlowRelationById(Long id){
		return flowRelationMapper.deleteFlowRelationById(id);
	}

    @Override
    public List<FlowRelation> selectFlowRelationAll() {

		return flowRelationMapper.selectFlowRelationAll();
    }


}
